Skip to main content
PUT
/
deploymentStage
/
{deploymentStageId}
/
moveBefore
/
{stageId}
Move deployment stage before requested stage
curl --request PUT \
  --url https://api.qovery.com/deploymentStage/{deploymentStageId}/moveBefore/{stageId} \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "environment": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "updated_at": "2023-11-07T05:31:56Z",
      "name": "<string>",
      "description": "<string>",
      "deployment_order": 1,
      "services": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "created_at": "2023-11-07T05:31:56Z",
          "updated_at": "2023-11-07T05:31:56Z",
          "service_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "service_type": "<string>",
          "is_skipped": true
        }
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-docs-cronjob-required-affinity.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

deploymentStageId
string<uuid>
required

Deployment Stage ID

stageId
string<uuid>
required

Deployment Stage ID

Response

List deployment stage

results
object[]